/*Author: Carolin Schulz*/
/*Student ID: 22178163*/

@media (max-width: 850px) {
    a {
        font-size: 17px;
    }

    .links {
        font-size: 17px;
    }
}

body {
	font-family: 'Montserrat', 'Arial';
	margin: 0;
	padding: 0;
}

a {
	color: black;
	text-decoration: none;
}

.links:hover {
	cursor: pointer;
}
.menuBar {
    display: flex;
    flex-direction: row;
    justify-content:space-between;
	align-items: left;
	flex-wrap: wrap;
	font-size:larger;
    height: 68px;
	box-shadow: 0px 5px 20px rgba(0,0,0,0.1);
}


#carteklogo {
	height: 50px;
	padding-top: 9px;
	padding-left: 8px;
}


#ireland {
    height: 30px;
    padding-top: 15px;
    padding-right: 20px;
	padding-left: 20px;
	padding-bottom: 15px;
    cursor: pointer;
	border-left: 2px black solid;
	margin-top: 2px;
}

.home:hover,
.buy:hover,
.sell:hover,
.contactus:hover {
    color: rgb(67, 67, 67);
    opacity: 0.8;
    padding-top: 2px;
}

.home,
.buy,
.sell,
.aboutus,
.contactus,
.languages {
	transition: border-bottom 0.15s;
	padding-top: 2px;
    padding-bottom: 0;
}

.logo,
.home,
.buy,
.sell,
.aboutus,
.contactus,
.languages {
	flex: 50px 1 1 1 1 1 1;
}

.root, .dropdown {
  list-style: none;
  padding:0;
}

.parent {
  padding-bottom: 25px;
  padding-left: 10px;
}

.elem {
  padding-top: 12.5px;
  padding-bottom: 12.5px;
  background-color: white;
  padding-left: 10px;
  padding-right: 10px;
}

.elem:hover {
  background-color: rgba(181, 180, 180, 0.763);
  cursor: pointer;
}

.dropdown {
  display: hidden;
  opacity: 0;
  visibility: none;
  transition: all 0.4s;
}

/*Brauche hilfe hier: wie formuliere ich den oberen selector
dass wenn über .root bzw .parent gehovert wird, das
untere css auf .dropdown angewendet wird*/
.root .parent > .dropdown,
.dropdown:hover {
  display: block;
  opacity: 1;
  visibility: visible;
}